// package_first/pages/VolunteerDetail/index.js
import {api_westreamActivity,activitySubmit} from  '../../../api/volunteer';

Page({

    /**
     * 页面的初始数据
     */
    data: {
        status:false,
        activityInfo:{},
        list:[],
        userPage:{
            page:1,
            limit:10
        },
        total:0,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let data = JSON.parse(decodeURIComponent(options.data))
        data.applyBeginTime = this.formatDate(data.applyBeginTime)
        data.applyEndTime = this.formatDate(data.applyEndTime)
        this.setData({
            activityInfo:data
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.activitySubmit()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },
    
    activitySubmit(){
        let tenantObj = wx.getStorageSync('tenant')
        let openid = wx.getStorageSync('openid')
        let data = {
            openid:openid,
            activityId: this.data.activityInfo.id,
            tenantId:tenantObj.tenantId,
            nickname:'',
            applyPhone:'',
            applyName:'',
            activityTitle:this.data.activityInfo.activityTitle
        }
        activitySubmit(data).then(res=>{
            console.log(res);
        }).catch(res=>{
            console.log(res);
        })
    },

    formatDate(dateString) {
        const date = new Date(dateString);
        const year = date.getFullYear();
        const month = ("0" + (date.getMonth() + 1)).slice(-2);
        const day = ("0" + date.getDate()).slice(-2);
        return `${year}年${month}月${day}日`;
      },
      goApply(e){

        if(this.data.status){
            return
        }
        //   if(status == 2){
        //       console.log(this.data.status);
        //     wx.navigateTo({
        //         url:"/package_first/pages/ActivityApply/index"
        //     })
        //   }else{
        //     wx.showToast({
        //         title: '不在报名时间',
        //         icon:'none'
        //       })
        //   }
             wx.navigateTo({
                url:"/package_first/pages/ActivityApply/index?id=" + this.data.activityInfo.id
            })
      },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})