import { updateProgress , getVideoProgress } from '../../../api/learining.js'

Page({
  data:{
    videoInfo:{},
    videoProgress: 0,
    openid: null,
    initialTime: 0,
    statusList:{
      0: '待学习',
      1: '学习中',
      2: '已学习',
    },
    classList:{
      0: 'no--sutdy',
      1: 'is--sutdy',
      2: 'is--finish',
    },
    detail: {}
  },
  onLoad(options){
    let data = JSON.parse(decodeURIComponent(options.data))
    const openid = wx.getStorageSync('openid')
    this.setData({
        detail:data,
        openid
    })
    this.getProgress()
  },
  onHide(){
    this.handleEnded(this.data.detail.status)
  },
  onUnload(){
    this.handleEnded(this.data.detail.status)
  },
  saveTime(e){
    let time = e.detail.currentTime
    this.setData({
        videoProgress:time
    })
  },
  getProgress(){
    const data = {
        videoId: this.data.detail.id,
        openid: this.data.openid,
      }
      getVideoProgress(data).then(res=>{
         this.setData({
            initialTime:res.data.videoProgress
         })
      })
  },
  
  handleEnded(status){
    const params = {
      status: status === 1 ? 1 : 2,
      videoId: this.data.detail.id,
      openid: this.data.openid,
      videoProgress: typeof(status) === 'number' ?  this.data.videoProgress : 0
    }
    updateProgress(params)
    .then(res=>{
        let initialTime = null
        if(res.code == 0){
            initialTime = res.data==null?0:res.data
        }
      this.setData({
        'detail.status': status === 1 ? 1 : 2,
      })
    })
  }
})